Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class RegisterImageResult

    java.lang.Object
      com.amazonaws.services.ec2.model.RegisterImageResult

    public class RegisterImageResult

extends Object

The result of registering a new Amazon Machine Image (AMI). Contains the ID of the new image.

Constructor Summary
`RegisterImageResult()`

Method Summary
`String` | `getImageId()` The ID of the new Amazon Machine Image (AMI).
`void` | `setImageId(String imageId)` The ID of the new Amazon Machine Image (AMI).
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`RegisterImageResult` | `withImageId(String imageId)` The ID of the new Amazon Machine Image (AMI).

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RegisterImageResult

    public RegisterImageResult()

Method Detail

### getImageId

    public String getImageId()

  The ID of the new Amazon Machine Image (AMI).

  Returns:
    The ID of the new Amazon Machine Image (AMI).

### setImageId

    public void setImageId(String imageId)

  The ID of the new Amazon Machine Image (AMI).

  Parameters:
    `imageId` - The ID of the new Amazon Machine Image (AMI).

### withImageId

    public RegisterImageResult withImageId(String imageId)

  The ID of the new Amazon Machine Image (AMI).

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `imageId` - The ID of the new Amazon Machine Image (AMI).
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.